---
kind: pipeline
type: ssh
name: deploy
server:
    host:
        from_secret: host
    user:
        from_secret: user
    ssh_key:
        from_secret: key
clone:
    disable: true
trigger:
    branch:
        - main
steps:
    - name: deploy
      commands:
          - cd /var/www/git/www-2
          - git pull
          - kiln build
          - rsync -av /var/www/git/www-2/public/https/ /var/www/htdocs/www.openbsd.fr.eu.org
          - rsync -av /var/www/git/www-2/public/gemini/ /var/gemini
